TEXI2ANY(1)

NAME
texi2any - translate Texinfo documents

SYNOPSIS
makeinfo [OPTION]... TEXINFO-FILE...

DESCRIPTION
Translate Texinfo source documentation to various other formats, by default Info files suitable for reading online with Emacs or standalone GNU Info.

This program is commonly installed as both `makeinfo' and `texi2any'; the behavior is identical, and does not depend on the installed name.

  General options:

--document-language=STR locale to use in translating Texinfo keywords
    for the output document (default C).

--error-limit=NUM
    quit after NUM errors (default 100).

--force
    preserve output even if errors.

--help
    display this help and exit.

--no-validate
    suppress node cross-reference validation.

--no-warn
    suppress warnings (but not errors).

--conf-dir=DIR
    search also for initialization files in DIR.

--init-file=FILE
    load FILE to modify the default behavior.

-c, --set-customization-variable VAR=VAL
    set customization variable VAR to value VAL.

--trace-includes
    print names of included files.

-v, --verbose
    explain what is being done.

--version
    display version information and exit.

  Output format selection (default is to produce Info):

--docbook
    output Docbook XML.

--html
    output HTML.

--epub3
    output EPUB 3.

--latex
    output LaTeX.

--plaintext
    output plain text rather than Info.

--xml
    output Texinfo XML.

--dvi, --dvipdf, --ps, --pdf
    call texi2dvi to generate given output, after checking validity of TEXINFO-FILE.

  General output options:

-E, --macro-expand=FILE
    output macro-expanded source to FILE, ignoring any @setfilename.

--no-headers
    suppress node separators, Node: lines, and menus from Info output (thus producing plain text) or from HTML (thus producing shorter output). Also, if producing Info, write to standard output by default.

--no-split
    suppress any splitting of the output; generate only one output file.

--[no-]number-sections
    output chapter and sectioning numbers; default is on.

-o, --output=DEST
    output to DEST. With split output, create DEST as a directory and put the output files there. With non-split output, if DEST is already a directory or ends with a /, put the output file there. Otherwise, DEST names the output file.

--disable-encoding
    do not output accented and special characters in Info and plain text output based on document encoding.

--enable-encoding
    override --disable-encoding (default).

  Options for Info and plain text:

--fill-column=NUM
    break Info lines at NUM columns (default 72).

--footnote-style=STYLE
    output footnotes in Info according to STYLE: `separate' to put them in their own node; `end' to put them at the end of the node, in which they are defined (this is the default).

--paragraph-indent=VAL
    indent Info paragraphs by VAL spaces (default 3). If VAL is `none', do not indent; if VAL is `asis', preserve existing indentation.

--split-size=NUM
    split Info files at size NUM (default 300000).

  Options for HTML:

--css-include=FILE
    include FILE in HTML <style> output; read stdin if FILE is -.

--css-ref=URL
    generate CSS reference to URL.

--internal-links=FILE
    produce list of internal links in FILE.

--split=SPLIT
    split at SPLIT, where SPLIT may be `chapter', `section' or `node'.

--transliterate-file-names
    use file names in ASCII transliteration.

--node-files
    produce redirection files for nodes and anchors; default is set only if split.

  Options for DVI/PS/PDF:

--Xopt=OPT
    pass OPT to texi2dvi; can be repeated.

  Input file options:

-D VAR
    define the variable VAR, as with @set.

-D 'VAR VAL'
    define VAR to VAL (one shell argument).

-I DIR
    append DIR to the @include search path.

-P DIR
    prepend DIR to the @include search path.

-U VAR
    undefine the variable VAR, as with @clear.

  Conditional processing in input:

--ifdocbook
    process @ifdocbook and @docbook even if not generating Docbook.

--ifhtml
    process @ifhtml and @html even if not generating HTML.

--ifinfo
    process @ifinfo even if not generating Info.

--iflatex
    process @iflatex and @latex.

--ifplaintext
    process @ifplaintext even if not generating plain text.

--iftex
    process @iftex and @tex.

--ifxml
    process @ifxml and @xml.

--no-ifdocbook
    do not process @ifdocbook and @docbook text.

--no-ifhtml
    do not process @ifhtml and @html text.

--no-ifinfo
    do not process @ifinfo text.

--no-iflatex
    do not process @iflatex and @latex text.

--no-ifplaintext
    do not process @ifplaintext text.

--no-iftex
    do not process @iftex and @tex text.

--no-ifxml
    do not process @ifxml and @xml text.

Also, for the --no-ifFORMAT options, do process @ifnotFORMAT text.

The defaults for the @if... conditionals depend on the output format: if generating Docbook, --ifdocbook is on and the others are off; if generating HTML, --ifhtml is on and the others are off; if generating Info, --ifinfo is on and the others are off; if generating plain text, --ifplaintext is on and the others are off; if generating LaTeX, --iflatex is on and the others are off; if generating XML, --ifxml is on and the others are off.

EXAMPLES

makeinfo foo.texi
    write Info to foo's @setfilename

makeinfo --html foo.texi
    write HTML to @setfilename

makeinfo --xml foo.texi
    write Texinfo XML to @setfilename

makeinfo --docbook foo.texi
    write Docbook XML to @setfilename

makeinfo --plaintext foo.texi
    write plain text to standard output

makeinfo --pdf foo.texi
    write PDF using texi2dvi

makeinfo --html --no-headers foo.texi
    write html without node lines, menus

makeinfo --number-sections foo.texi
    write Info with numbered sections

makeinfo --no-split foo.texi
    write one Info file however big

REPORTING BUGS
Email bug reports to bug-texinfo@gnu.org, general questions and discussion to help-texinfo@gnu.org.
Texinfo home page: https://www.gnu.org/software/texinfo/

COPYRIGHT
Copyright © 2024 Free Software Foundation, Inc. License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for texi2any is maintained as a Texinfo manual. If the info and texi2any programs are properly installed at your site, the command

    info texi2any

should give you access to the complete manual.